Package org.globus.gsi.stores

# Class ResourceProxyCredentialStore.ProxyFilenameFilter

java.lang.Object
org.globus.gsi.stores.ResourceProxyCredentialStore.ProxyFilenameFilter

All Implemented Interfaces:
  `FilenameFilter`

Enclosing class:
  `ResourceProxyCredentialStore`

public static class ResourceProxyCredentialStore.ProxyFilenameFilter extends Object implements FilenameFilter
This filename filter returns files whose names are valid for a Proxy Certificate.

## Constructor Summary

Constructors
Constructor
Description
`ProxyFilenameFilter()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`accept(File file, String s)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ProxyFilenameFilter

public ProxyFilenameFilter()

## Method Details

### accept

public boolean accept(File file, String s)

Specified by:
  `accept` in interface `FilenameFilter`